Bug 86431 - maintainer-update: devel/libbinio 1.3 -> 1.4
Summary: maintainer-update: devel/libbinio 1.3 -> 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-21 22:50 UTC by Emanuel Haupt
Modified: 2005-09-22 13:49 UTC (History)
0 users

See Also:


Attachments
libbinio.patch (1.98 KB, patch)
2005-09-21 22:50 UTC, Emanuel Haupt
no flags Details | Diff
libadplug.patch (1.52 KB, patch)
2005-09-21 22:50 UTC, Emanuel Haupt
no flags Details | Diff
file.diff (1.18 KB, patch)
2005-09-21 22:50 UTC, Emanuel Haupt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt 2005-09-21 22:50:03 UTC
libbinio.patch:
==============

- update devel/libbinio from version 1.3 to 1.4
- remove signature from pkg-descr
- cleanup Makefile header

CVS:
changed: Makefile
changed: pkg-descr
changed: pkg-plist


adplay.patch:
============

- bump PORTREVISION from audio/adplay
- remove signature from pkg-descr
- cleanup Makefile header


CVS:
changed: Makefile
changed: pkg-descr


libadplug.patch:
===============

- bump PORTREVISION from audio/libadplug
- patch path for libbinio header files
- remove signature from pkg-descr
- cleanup Makefile header

CVS:
changed: Makefile
changed: pkg-descr


ocp.patch:
=========

- bump PORTREVISION from audio/ocp
- remove signature from pkg-descr
- cleanup Makefile header

CVS:
changed: Makefile
changed: pkg-descr

Fix: diff -Nur ocp.orig/Makefile ocp/Makefile
--- ocp.orig/Makefile	Fri Jul 29 10:55:37 2005
+++ ocp/Makefile	Wed Sep 21 23:29:32 2005
@@ -1,13 +1,13 @@
-# New ports collection makefile for:   ocp
-# Date created:		22 April 2005
-# Whom:			Emanuel Haupt <ehaupt@critical.ch>
+# New ports collection makefile for:	ocp
+# Date created:				22 April 2005
+# Whom:					Emanuel Haupt <ehaupt@critical.ch>
 #
 # $FreeBSD: ports/audio/ocp/Makefile,v 1.7 2005/07/29 08:55:37 vs Exp $
 #
 
 PORTNAME=	ocp
 PORTVERSION=	0.1.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	http://labs.nixia.no/ \
 		http://critical.ch/distfiles/
@@ -66,7 +66,7 @@
 .endif
 .if defined(WITH_ADPLUG)
 LIB_DEPENDS+=		adplug-1.5.1:${PORTSDIR}/audio/libadplug
-CONFIGURE_ARGS+=	--without-x11
+CONFIGURE_ARGS+=	--without-x11 --with-adplug
 PLIST_SUB+=		ADPLUG=""
 .else
 PLIST_SUB+=		ADPLUG="@comment "
diff -Nur ocp.orig/pkg-descr ocp/pkg-descr
--- ocp.orig/pkg-descr	Fri Jul 29 10:55:37 2005
+++ ocp/pkg-descr	Wed Sep 21 23:20:32 2005
@@ -7,9 +7,7 @@
 Skjelstad ported the code to Linux.
 
 In addition to legacy tracker formats such as mod, xm and s3m, Open
-Cubic Player now also supports mp3 and ogg files.
+Cubic Player now also supports mp3 and ogg files and can be compiled
+with libadplug support.
 
 WWW: http://freshmeat.net/projects/opencubicplayer/
-
-- ehaupt
-ehaupt@critical.ch
--- ocp.patch ends here ---
Comment 1 Renato Botelho freebsd_committer 2005-09-22 11:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it
Comment 2 Renato Botelho freebsd_committer 2005-09-22 13:49:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!